<?php namespace Site21\ShopaholicProductExtender\Classes\Event\Product;

use Lovata\Toolbox\Classes\Event\AbstractBackendFieldHandler;

use Lovata\Shopaholic\Models\Product;
use Lovata\Shopaholic\Controllers\Products;


class ExtendProductFieldsHandler extends AbstractBackendFieldHandler
{

    protected function extendFields($obWidget)
    {
		$obWidget->removeField('code');
		$obWidget->removeField('external_id');
		$obWidget->removeField('preview_text');
		$obWidget->removeField('description');
		$obWidget->removeField('preview_image');
		$obWidget->removeField('images');
    }


    protected function getModelClass() : string
    {
        return Product::class;
    }


    protected function getControllerClass() : string
    {
        return Products::class;
    }
}